Contacts
Search contacts
Customers, newest first. Matches the name, phone, email, company, or notes. Customer API.
GET
/
contacts
Search contacts
curl --request GET \
--url https://answeringagent.com/api/v1/contacts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://answeringagent.com/api/v1/contacts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://answeringagent.com/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_matching": 214,
"page": 1,
"next_page": 2,
"contacts": [
{
"id": 77310,
"url": "https://answeringagent.com/dashboard/contacts/77310",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"company": "<string>",
"stage": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"blocked": true,
"phone_call_count": 123,
"first_contact_at": "2023-11-07T05:31:56Z",
"last_call_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "That conversation is not available.",
"code": "not_found",
"issues": [
{
"path": [
"<unknown>"
],
"message": "<string>"
}
]
}{
"error": "That conversation is not available.",
"code": "not_found",
"issues": [
{
"path": [
"<unknown>"
],
"message": "<string>"
}
]
}{
"error": "That conversation is not available.",
"code": "not_found",
"issues": [
{
"path": [
"<unknown>"
],
"message": "<string>"
}
]
}{
"error": "This endpoint accepts GET.",
"code": "method_not_allowed"
}{
"error": "That conversation is not available.",
"code": "not_found",
"issues": [
{
"path": [
"<unknown>"
],
"message": "<string>"
}
]
}Authorizations
Query Parameters
Words to search for.
Maximum string length:
100Results per page.
Required range:
1 <= x <= 50Page number. Use next_page from the previous response.
Required range:
x >= 1⌘I
Search contacts
